Description: system preprocessing directive #include for examples
Origin: debian
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2013-11-24

--- a/nautyex1.c
+++ b/nautyex1.c
@@ -5,7 +5,7 @@
 */
 
 #define MAXN 1000    /* Define this before including nauty.h */
-#include "nauty.h"   /* which includes <stdio.h> and other system files */
+#include <nauty/nauty.h>   /* which includes <stdio.h> and other system files */
 
 int
 main(int argc, char *argv[])
--- a/nautyex10.c
+++ b/nautyex10.c
@@ -6,7 +6,7 @@
    those here, it can be faster for some very difficult graphs.
 */
 
-#include "traces.h"
+#include <nauty/traces.h>
 
 int
 main(int argc, char *argv[])
--- a/nautyex2.c
+++ b/nautyex2.c
@@ -4,7 +4,7 @@
    This version uses dynamic allocation.
 */
 
-#include "nauty.h"   
+#include <nauty/nauty.h>
 /* MAXN=0 is defined by nauty.h, which implies dynamic allocation */
 
 int
--- a/nautyex3.c
+++ b/nautyex3.c
@@ -2,8 +2,8 @@
    polygon, where n is a number supplied by the user. 
 */
 
-#include "nauty.h"    /* which includes <stdio.h> */
-#include "naugroup.h"
+#include <nauty/nauty.h>    /* which includes <stdio.h> */
+#include <nauty/naugroup.h>
 
 /**************************************************************************/
 
--- a/nautyex4.c
+++ b/nautyex4.c
@@ -3,7 +3,7 @@
    This version uses sparse form with dynamic allocation.
 */
 
-#include "nausparse.h"    /* which includes nauty.h */
+#include <nauty/nausparse.h>    /* which includes nauty.h */
 
 int
 main(int argc, char *argv[])
--- a/nautyex5.c
+++ b/nautyex5.c
@@ -3,7 +3,7 @@
    This version uses sparse form with dynamic allocation.
 */
 
-#include "nausparse.h"    /* which includes nauty.h */
+#include <nauty/nausparse.h>    /* which includes nauty.h */
 
 int
 main(int argc, char *argv[])
--- a/nautyex6.c
+++ b/nautyex6.c
@@ -4,7 +4,7 @@
    This version uses dense form with dynamic allocation.
 */
 
-#include "nauty.h"
+#include <nauty/nauty.h>
 
 int
 main(int argc, char *argv[])
--- a/nautyex7.c
+++ b/nautyex7.c
@@ -3,7 +3,7 @@
    This version uses Traces.
 */
 
-#include "traces.h"
+#include <nauty/traces.h>
 
 int
 main(int argc, char *argv[])
--- a/nautyex8.c
+++ b/nautyex8.c
@@ -3,7 +3,7 @@
    This version uses dense form with dynamic allocation.
 */
 
-#include "nauty.h" 
+#include <nauty/nauty.h>
 
 int
 main(int argc, char *argv[])
--- a/nautyex9.c
+++ b/nautyex9.c
@@ -7,7 +7,7 @@
    that p is a prime.)
 */
 
-#include "traces.h"
+#include <nauty/traces.h>
 
 int
 main(int argc, char *argv[])
